Bug 47046 - Shutdown does not unregister all MBeans
Shutdown does not unregister all MBeans
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.18
PC Mac OS X 10.4
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-04-17 07:59 UTC by Rob Harrop
Modified: 2009-09-07 07:16 UTC (History)
0 users



Attachments
Simple driver to highlight problem (1.64 KB, application/octet-stream)
2009-04-17 07:59 UTC, Rob Harrop
Details
Additional patch required to clean up Jk components (2.52 KB, application/octet-stream)
2009-08-11 06:54 UTC, Mark Thomas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Harrop 2009-04-17 07:59:51 UTC
Created attachment 23505 [details]
Simple driver to highlight problem

If I start and stop Tomcat in a VM using the Catalina class then it does not unregister all its MBeans. The list left over is:

Catalina:type=RequestProcessor,worker=http-8080,name=HttpRequest1 true
Catalina:type=MBeanFactory true
Catalina:type=Engine true
Catalina:type=JkWorkerEnv true
Catalina:type=StringCache true
Catalina:type=Host,host=localhost true
Catalina:type=JkMain true
Catalina:type=JkHandler,name=channelSocket true
Catalina:type=Server true
Catalina:type=JkHandler,name=request true
Catalina:type=Connector,port=8080 true
Catalina:type=Connector,port=8009 true

I've attached a simple class that can be used to reproduce this list.
Comment 1 Mark Thomas 2009-04-29 16:32:48 UTC
This has been fixed in trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2009-05-22 09:41:20 UTC
This has been fixed in 6.0.x and will be included in 6.0.21 onwards.
Comment 3 Mark Thomas 2009-08-11 06:53:58 UTC
Re-opening as the port from trunk missed some Jk components that have been removed in trunk but still exist in 6.0.x
Comment 4 Mark Thomas 2009-08-11 06:54:57 UTC
Created attachment 24125 [details]
Additional patch required to clean up Jk components
Comment 5 Mark Thomas 2009-09-07 07:16:47 UTC
The additional patch has now been applied and will be included in 6.0.21 onwards.